local debuggerHelper = {}
debuggerHelper.alreadyStarted = false
debuggerHelper.start = function()
    if (commonapi and commonapi._native ~= nil and commonapi._native.unlockMouse) then
        commonapi._native.unlockMouse()
    end

    if (debuggerHelper.alreadyStarted) then
        return
    end
    setmetatable(_G, {} )
    local json = require 'commonapi2.extlib.dkjson'
    local debuggee = require 'vscode-debuggee'
    local startResult, breakerType = debuggee.start(json, { dumpCommunication = true })
    print('debuggee start ->', startResult, breakerType)
    debuggerHelper.alreadyStarted = startResult
end
return debuggerHelper