--local gui = require "gui"
local secondaryui = {
	isInit = false,
	openCommonAPI2Button = false,
	traceGUICallback = nil,
	lastEntitySelected = nil,
	changeGUICallback = nil
}

function secondaryui.init()
	secondaryui.isInit = true
--end
--function secondaryui.init2()

--	local eletext = api.gui.comp.TextView.new("CommonAPI2")
--	local tga = "ui/design/window-content/context-help@2x.tga"
--	local tga = "ui/icons/game-menu/help@2x.tga"

	local tga = "ui/commonapi2button@2x.tga"
	local capibuttonIcon = api.gui.comp.ImageView.new(tga)
	capibuttonIcon:setId("mainMenuLeft.CommonAPI2Button.button.icon")
	local capibutton = api.gui.comp.Button.new(capibuttonIcon, true)
	capibutton:setId("mainMenuLeft.CommonAPI2Button.button")
	capibutton:setGravity(0, 0.5)
	local mainMenuLeftLayout = api.gui.util.getById("mainMenuLeftLayout")
--[[
	local numItems = mainMenuLeftLayout:getNumItems()
	if (numItems > 0) then
		local lastitem = mainMenuLeftLayout:getItem(numItems-1)
		mainMenuLeftLayout:removeItem(lastitem)
		mainMenuLeftLayout:addItem(capibutton)
		mainMenuLeftLayout:addItem(lastitem)
	else
		mainMenuLeftLayout:addItem(capibutton)
	end
--]]
	mainMenuLeftLayout:insertItem(capibutton, 1)

	capibutton:onClick(function()
--		package.loaded["commonapi2.uicommon.ModSettingsWindow"] = nil
--		package.loaded["commonapi2.uicommon.interface"] = nil
--		package.loaded["commonapi2.ui2.tpfui"] = nil
--		local ModSettingsWindowTPF = require("commonapi2.uicommon.ModSettingsWindow")
--		ModSettingsWindowTPF.createForCommonAPI()
		secondaryui.openMenu()
	end)
	secondaryui.openCommonAPI2Button = capibutton



	if (commonapi._native ~= nil) then

		-- Install LineDestination Hooks
		if (commonapi._native.LabelSystem ~= nil and commonapi._native.LabelSystem.isEnabled()) then
			local LineDestination = require("commonapi2.ui2.LineDestination")
			print("Calling LineDestination:installHooks")
			LineDestination:installHooks()
		end

		if (commonapi._native.LayerView ~= nil and commonapi._native.LayerView.isEnabled()) then
			local LayerView = require("commonapi2.ui2.LayerView")
			LayerView:init()
		end
	end


end


function secondaryui.layerviewdisable()
	commonapi._native.LayerView.setLayer(2, 1)
	commonapi._native.LayerView.setLayer(2, 0)
end

function secondaryui.layerview()
	if (commonapi._native ~= nil and commonapi._native.LayerView and commonapi._native.LayerView.isEnabled()) then

		local speedLimitWindow
		local speedLimitWindowContent
		local speedLimitWindowLayout
		local speedLimitWindowLayoutTop
		local wButtonId = "commonapi2.menulayers.speedLimitsWindowButton"
		local wButton = api.gui.util.getById(wButtonId)

		if (wButton == nil) then
			speedLimitWindow = api.gui.util.getById("menu.layers.speedLimitsWindow")
			--speedLimitWindowContent = speedLimitWindow:getContent()
			--speedLimitWindowLayout = speedLimitWindowContent:getLayout()

			speedLimitWindowLayoutTop = speedLimitWindow:getLayout():getItem(0):getLayout()

			local tga = "ui/icons/windows/vehicle_color@2x.tga"
			local wButtonIcon = api.gui.comp.ImageView.new(tga)
			wButton = api.gui.comp.Button.new(wButtonIcon, true)
			wButton:setId(wButtonId)
			wButton:setGravity(0, 0.5)

			--local lastItem = speedLimitWindowLayoutTop:getItem(speedLimitWindowLayoutTop:getNumItems()-1)
			--local c = lastItem:getContentRect()
			wButton:setMaximumSize( api.gui.util.Size.new(32, 32))

			wButton:setTooltip(_("Disable white layer").." (CommonAPI 2)")
			wButton:onClick(secondaryui.layerviewdisable)
			speedLimitWindowLayoutTop:addItem(wButton)
		end
	end
end

function secondaryui.settings()


end

function secondaryui.openMenu()
	package.loaded["commonapi2.ui2.tpfui"] = nil
	package.loaded["commonapi2.ui2.secondarymenu"] = nil
	local SecondaryMenu = require("commonapi2.ui2.secondarymenu")
	SecondaryMenu.create()
end

return secondaryui